/*
 * $Id: hardentry.S,v 1.1 2000/05/03 01:08:44 nop Exp $
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 2000 Jay Carlson <nop@nop.com>
 */

/*
 * Sometimes we can't control where the hardware bootstrap process
 * will jump to when doing XIP in ROM.  kernel_entry is not at the
 * start of head.S, so we can't just put that at our startup
 * address.  The XIP ld script places this file first, and it
 * jumps into kernel_entry.
 */

/* 
 * Note that this is harmless if the bootloader does the RIGHT thing
 * and jumps to the entry address for vmlinux.  This is just for
 * loaders too stupid to know about it. 
 */

#include <asm/asm.h>
#include <asm/regdef.h>
#include <asm/mipsregs.h>

        .section .hardentry
hard_entry:
        la $25, kernel_entry
        jr $25
